|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QLCDNumber

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QLCDNumber class reference

### Public Functions

- QLCDNumber ( QWidget * parent, const char * name )
- QLCDNumber ( uint numDigits, QWidget * parent, const char * name )
- int margin () const
- void setMargin ( int margin )

- 60 public functions inherited from QWidget
- 8 public functions inherited from QObject
- 8 public functions inherited from QPaintDevice

## Member Function Documentation

### QLCDNumber::QLCDNumber ( QWidget * parent, const char * name )

Constructs an LCD number, sets the number of digits to 5, the base to decimal, the decimal point mode to 'small' and the frame style to a raised box. The segmentStyle() is set to `Outline`.

The parent and name arguments are passed to the QFrame constructor.

See also setNumDigits() and setSmallDecimalPoint().

### QLCDNumber::QLCDNumber ( uint numDigits, QWidget * parent, const char * name )

Constructs an LCD number, sets the number of digits to numDigits, the base to decimal, the decimal point mode to 'small' and the frame style to a raised box. The segmentStyle() is set to `Outline`.

The parent and name arguments are passed to the QFrame constructor.

See also setNumDigits() and setSmallDecimalPoint().

### int QLCDNumber::margin () const

Returns the with of the the margin around the contents of the widget.

Use QWidget::getContentsMargins() instead.

See also setMargin() and QWidget::getContentsMargins().

### void QLCDNumber::setMargin ( int margin )

Sets the width of the margin around the contents of the widget to margin.

Use QWidget::setContentsMargins() instead.

See also margin() and QWidget::setContentsMargins().